{ ... }:
{
  imports = [
    ./hardware-configuration.nix
    ../../base.nix
    ../../users/root.nix
    ../../roles/tailscale.nix
    ../../roles/caddy.nix
    ../../roles/vscode-remote.nix
    ../../roles/syncthing.nix
  ];

  services.openssh.openFirewall = false;

  boot.tmp.cleanOnBoot = true;
  zramSwap.enable = true;
  networking.hostName = "GARDEN";

  # Enable the Flakes feature and the accompanying new nix command-line tool
  nix.settings.experimental-features = [
    "nix-command"
    "flakes"
  ];

  system.stateVersion = "23.11";
}
